Package org.springframework.web.service.invoker

# Class AbstractNamedValueArgumentResolver.NamedValueInfo

java.lang.Object
org.springframework.web.service.invoker.AbstractNamedValueArgumentResolver.NamedValueInfo

Enclosing class:
  AbstractNamedValueArgumentResolver

protected static class AbstractNamedValueArgumentResolver.NamedValueInfo extends Object
Info about a request value, typically extracted from a method parameter annotation.

## Constructor Summary

Constructors
Constructor
Description
`NamedValueInfo(String name, boolean required, String defaultValue, String label, boolean multiValued)`
Create an instance.

## Method Summary

Modifier and Type
Method
Description
`AbstractNamedValueArgumentResolver.NamedValueInfo`
`update(String name, boolean required, String defaultValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NamedValueInfo

public NamedValueInfo(String name, boolean required, @Nullable String defaultValue, String label, boolean multiValued)
Create an instance.

Parameters:
  `name` - the name to use, possibly empty if not specified
  `required` - whether it is marked as required
  `defaultValue` - fallback value, possibly `ValueConstants.DEFAULT_NONE`
  `label` - how it should appear in error messages, for example, "path variable", "request header"
  `multiValued` - whether this argument resolver supports sending multiple values; if not, then multiple values are formatted as a String value

## Method Details

### update

public AbstractNamedValueArgumentResolver.NamedValueInfo update(String name, boolean required, @Nullable String defaultValue)